Subject: Re: bug#11867: 24.1.50; Windows bootstrap crash (converting tit files?)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Jul 2012 19:02:16 +0300

> Date: Fri, 6 Jul 2012 16:55:06 +0100
> From: Richard Copley <[email-masked]>
> 
> When I attempted to bootstrap trunk revision 108980 on Windows XP,
> Emacs crashed (and showed the abort dialog).
> 
> [...]
> mingw32-make[2]: Entering directory `G:/emacs-bzr/trunk/leim'
> "./../src/oo-spd/i386/emacs.exe" -batch --no-site-file --no-site-lisp -l \
>     "G:/emacs-bzr/trunk/leim/../lisp/international/titdic-cnv" \
>     --eval "(batch-titdic-convert t)" \
>     -dir quail ./CXTERM-DIC
> Converting all tit files in the directory g:/emacs-bzr/trunk/leim/CXTERM-DIC
> Converting g:/emacs-bzr/trunk/leim/CXTERM-DIC/4Corner.tit to quail-package...
> Decoding with coding system cn-big5...
> 
> [Emacs abort dialog was shown at this point.]
> [The following was printed after I attached and detached the debugger
> and terminated the process:]
> 
> mingw32-make[2]: *** [quail/CCDOSPY.elc] Error 1
> mingw32-make[2]: Leaving directory `G:/emacs-bzr/trunk/leim'
> mingw32-make[1]: *** [all-other-dirs-gmake] Error 2
> mingw32-make[1]: Leaving directory `G:/emacs-bzr/trunk/nt'
> mingw32-make: *** [bootstrap] Error 2
> [END]
> 
> I attached gdb but for some reason didn't get a useful backtrace:

You need to switch to the right thread, usually thread 1.  Can you
repeat the attempt, and produce a backtrace?  When Emacs shows the
abort dialog, and you attach the debugger, do this:

 (gdb) info threads
 (gdb) thread 1
 (gdb) bt

If thread 1 doesn't show a useful backtrace, do the same with thread 2
etc.

TIA